LibreOffice: XPublished Interface Reference

LibreOffice LibreOffice 5.1 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
XPublished Interface Reference

Reflects the “published” status of a UNOIDL entity. More...

`import"XPublished.idl";`

## Public Member Functions
boolean | isPublished ()
| Returns the “published” status of a UNOIDL entity. More...

## Detailed Description

Reflects the “published” status of a UNOIDL entity.

This interface is intended to be supported by objects that also support com::sun::star::reflection::XTypeDescription. (This interface could have been made an optional sub-interface of com::sun::star::reflection::XTypeDescription, but is instead kept independent for reasons of backwards compatibility.)

For the various kinds of UNOIDL entities that are represented by objects supporting com::sun::star::reflection::XTypeDescription and its subtypes, this optional interface should be supported as follows:

- Enum types (com::sun::star::reflection::XEnumTypeDescription), plain struct types (com::sun::star::reflection::XStructTypeDescription), polymorphic struct type templates (com::sun::star::reflection::XStructTypeDescription), exception types (com::sun::star::reflection::XCompoundTypeDescription), interface types (com::sun::star::reflection::XInterfaceTypeDescription2), typedefs (com::sun::star::reflection::XIndirectTypeDescription), individual constants (com::sun::star::reflection::XConstantTypeDescription), constant groups (com::sun::star::reflection::XConstantsTypeDescription), single-interface–based services (com::sun::star::reflection::XServiceTypeDescription2), accumulation-based services (com::sun::star::reflection::XServiceTypeDescription2), interface-based singletons (com::sun::star::reflection::XSingletonTypeDescription2), and service-based singletons (com::sun::star::reflection::XSingletonTypeDescription2) support the notion of being published. Therefore, for an object that represents any such entity, com::sun::star::reflection::XPublished should be supported.

- Sequence types (com::sun::star::reflection::XIndirectTypeDescription), type parameters of polymorphic struct type templates (com::sun::star::reflection::XTypeDescription), instantiated polymorphic struct types (com::sun::star::reflection::XStructTypeDescription), attributes of interface types (com::sun::star::reflection::XInterfaceAttributeTypeDescription2), methods of interface types (com::sun::star::reflection::XInterfaceMethodTypeDescription), properties of accumulation-based services (com::sun::star::reflection::XPropertyTypeDescription), deprecated com::sun::star::reflection::XArrayTypeDescriptions, and deprecated com::sun::star::reflection::XUnionTypeDescriptions do not support the notion of being published. Therefore, for an object that represents any such entity, com::sun::star::reflection::XPublished should not be supported.

Since
  OOo 2.0

## Member Function Documentation

boolean isPublished | ( |  | ) |

Returns the “published” status of a UNOIDL entity.

Returns
  `TRUE` if the UNOIDL entity represented by this object is published

The documentation for this interface was generated from the following file:

- com/sun/star/reflection/XPublished.idl